Startup: Show network/identity settings if no network and/or only a default identity is configured
02/11/2009 09:15 PM - Sputnick
Description

Present the user with an appropriate config dialog right at startup. Ususally we should have a network defined via networks.ini; but
the identity will often be a default one. Maybe mark a default-generated identity with a flag that is reset upon the first edit; making
sure that the user has checked his nicknames and data at least once.

We can use SettingsPageDlg with one of the settingspages in it for that kind of stuff.

Associated revisions

Revision da86ee7178494e6e5404887ddac98d5e107¢cc747 - 02/15/2009 06:01 PM - Marcus Eggenberger

fixes #542 - show identities and network settings on first start

Revision da86ee71 - 02/15/2009 06:01 PM - Marcus Eggenberger

fixes #542 - show identities and network settings on first start

History

#1 - 02/13/2009 02:52 PM - Sputnick
- Category set to Quassel GUI (Qt)

- Status changed from New to Confirmed

After checking back with seele: We should open the dialog in any case, but only on first run. We should also have a slightly different design for it:

<seele> so maybe still use the Configure Networks dialog, but instead of Ok and Cancel, we have Connect and Close

<seele> OK Cancel are for the configuration dialog, but if you use it as a connect now dialog, the buttons will be different

<seele> it doesnt make sense that OK would connect. you would want a button that says Connect. at the same time, you wouldnt need an OK button
in that case, because what does OK do?

<seele> so it's almost the same dialog, but not. specifically it is a connection dialog instead of a config dialol

<Sput> | like that idea

<Sput> take the Ul, put it in a standalone container, use a Connect button rather than OK, apply + connect automatically

<Sput> plus a neat little checkbox "[ ] Don't show again”

<seele> sounds like you got it :)

#2 - 02/15/2009 06:01 PM - EgS
- Status changed from Confirmed to Resolved

- % Done changed from 0 to 100

Applied in changeset da86ee7178494e6e5404887ddac98d5e107cc747.

#3 - 02/15/2009 06:02 PM - EgS
- Assignee set to EgS
